### Class

# EDataServer SourceCredentialsProviderImplOAuth2

since: 3.28

#### Description [src]

    class EDataServer.SourceCredentialsProviderImplOAuth2 : EDataServer.SourceCredentialsProviderImpl
    {
      /* No available fields */
    }

OAuth2 based credentials provider implementation.

Available since: 3.28

#### Hierarchy

#### Ancestors

- ESourceCredentialsProviderImpl
- EExtension
- GObject

#### Instance methods

##### Methods inherited from ESourceCredentialsProviderImpl (7)

###### e_source_credentials_provider_impl_can_process

Returns whether the `provider_impl` can process credentials for the `source`.

since: 3.16

###### e_source_credentials_provider_impl_can_prompt

Returns whether credential prompt can be done for the `provider_impl`.

since: 3.16

###### e_source_credentials_provider_impl_can_store

Returns whether the `provider_impl` can store credentials.

since: 3.16

###### e_source_credentials_provider_impl_delete_sync

Asks `provider_impl` to delete any stored credentials for `source`.

since: 3.16

###### e_source_credentials_provider_impl_get_provider

Returns an `ESourceCredentialsProvider` with which the `provider_impl` is associated.

since: 3.16

###### e_source_credentials_provider_impl_lookup_sync

Asks `provider_impl` to lookup for stored credentials for `source`. The `out_credentials` is populated with them. If the result is not `NULL`, then it should be freed with `e_named_parameters_free()` when no longer needed.

since: 3.16

###### e_source_credentials_provider_impl_store_sync

Asks `provider_impl` to store `credentials` for `source`.

since: 3.16

##### Methods inherited from EExtension (1)

###### e_extension_get_extensible

Returns the object that `extension` extends.

since: 3.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from EExtension (1)

###### EDataServer.Extension:extensible

The object being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceCredentialsProviderImplOAuth2Class {
      ESourceCredentialsProviderImplClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESourceCredentialsProviderImplClass`

  No description available.